Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class NIVision.Range

    java.lang.Object
      com.sun.cldc.jna.Structure
          edu.wpi.first.wpilibj.image.NIVision.Range

Enclosing class:
  NIVision

    public static class NIVision.Range

extends Structure

Field Summary

Fields inherited from class com.sun.cldc.jna.Structure
`backingNativeMemory, NULL`

Constructor Summary
`NIVision.Range(int lower, int upper)` Create a new range with the specified upper and lower boundaries

Method Summary
`void` | `free()` Free the memory used by this range
`int` | `getLower()` Get the lower boundary
`int` | `getUpper()` Get the upper boundary
`void` | `read()` Copy the fields of the struct from native memory to the Java fields
`void` | `set(int lower, int upper)` Set the upper and lower boundaries
`int` | `size()`
`void` | `write()` Copy the java fields of the struct to native memory from the Java fields

Methods inherited from class com.sun.cldc.jna.Structure
`allocateMemory, allocateMemory, clear, freeMemory, getPointer, release, toString, useMemory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NIVision.Range

    public NIVision.Range(int lower,
                          int upper)

  Create a new range with the specified upper and lower boundaries

  Parameters:
    `lower` - The lower limit
    `upper` - The upper limit

Method Detail

### read

    public void read()

  Description copied from class: `Structure`
  Copy the fields of the struct from native memory to the Java fields

  Specified by:
    `read` in class `Structure`

### write

    public void write()

  Description copied from class: `Structure`
  Copy the java fields of the struct to native memory from the Java fields

  Specified by:
    `write` in class `Structure`

### size

    public int size()

  Specified by:
    `size` in class `Structure`
  Returns:
    the size of the native structure

### free

    public void free()

  Free the memory used by this range

### set

    public void set(int lower,
                    int upper)

  Set the upper and lower boundaries

  Parameters:
    `lower` - The lower limit
    `upper` - The upper limit

### getLower

    public int getLower()

  Get the lower boundary

  Returns:
    The lower boundary.

### getUpper

    public int getUpper()

  Get the upper boundary

  Returns:
    The upper boundary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"